services:
  windows:
    image: dockurr/windows
    container_name: windows
    environment:
      VERSION: "tiny11"
      RAM_SIZE: "2G"
      CPU_CORES: "2"
      DISK_SIZE: "64G"
      USERNAME: "alvis"
      PASSWORD: "alvis"
      LANGUAGE: "English"
      REGION: "en-US"
      KEYBOARD: "en-US"
    devices:
      - /dev/kvm
      - /dev/net/tun
    cap_add:
      - NET_ADMIN
    ports:
      - "8006:8006"
      - "3389:3389/tcp"
      - "3389:3389/udp"
    volumes:
      - /mnt/ssd/dbs/windows/storage:/storage
      - /mnt/misc/qbittorrent/downloads:/data
    restart: unless-stopped
    stop_grace_period: 2m
